Package org.sunflow.math

# Class Point2

java.lang.Object
org.sunflow.math.Point2

public final class Point2 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`x`
`float`
`y`

## Constructor Summary

Constructors
Constructor
Description
`Point2()`
`Point2(float x, float y)`
`Point2(Point2 p)`

## Method Summary

Modifier and Type
Method
Description
`final Point2`
`set(float x, float y)`
`final Point2`
`set(Point2 p)`
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### x

public float x

### y

public float y

## Constructor Details

### Point2

public Point2()

### Point2

public Point2(float x, float y)

### Point2

public Point2(Point2 p)

## Method Details

### set

public final Point2 set(float x, float y)

### set

public final Point2 set(Point2 p)

### toString

public final String toString()

Overrides:
  `toString` in class `Object`